Package Details: castero-git 0.8.0.r45.g29f42b1-1

Git Clone URL: https://aur.archlinux.org/castero-git.git (read-only, click to copy)
Package Base: castero-git
Description: Podcast client for the command line
Upstream URL: https://github.com/xgi/castero
Licenses: MIT
Conflicts: castero
Provides: castero
Submitter: willemw
Maintainer: willemw
Last Packager: willemw
Votes: 5
Popularity: 0.079863
First Submitted: 2018-05-09 15:53
Last Updated: 2020-06-06 21:09

Latest Comments

1 2 3 Next › Last »

DavidMLS commented on 2020-06-20 12:05

Thank you both @willemw and @Kr1ss. Didn't mean to turn this into a support thread but that helped explain what is happening.

willemw commented on 2020-06-20 10:52

Yes, -Sy is an update (of only the mirrorlist and the package list), not a system upgrade.

Kr1ss commented on 2020-06-20 10:45

Hi @willemw pls excuse me for interfering w/ the thread unaskedly. I'd like to point out to @DavidMLS that they should rather do -S or -Syu to install (resp. upgrade the system and install) a package.

-Sy can (and eventually will) lead to a partially upgraded system, which might likely have caused this issue in the first place.

The causalities are described in this wiki paragraph.

Cheers !

willemw commented on 2020-06-20 10:08

@DavidMLS: Ok, I see what the problem is: your python-greenlet is not up-to-date. Do a system upgrade. python-greenlet should then be 0.4.16-1.

python-greenlet is an indirect dependency of castero-git.

It is normal that the castero-git version gets updated. The version is calculated each time you install the package (see pkgver() in the PKGBUILD file).

DavidMLS commented on 2020-06-20 09:52

@willemw please excuse my ignorance but I've tried doing the following:

yay -Rns castero-git
rm -rf ~/.cache/yay/castero-git
yay -Sy castero-git

and I still had the same problem.

I also tried to do the following:

makepkg
sudo pacman -U ...

What I found strange is that although in your PKGBUILD, you have pkgver=0.8.0.r45.g29f42b1, the pkgver got changed after running makepkg to something like pkgver=0.8.0.r47...

I am a beginner at packaging in Arch and so don't fully understand what's going on.

I managed to get it working by installing castero manually from the instructions here but I would like to understand why using your package doesn't work as I see that it's doing pretty much the same thing that I did manually.

willemw commented on 2020-06-19 13:52

@DavidMLS: I cannot find any reference to greenlet in the source files. You may need to rebuild this package.

DavidMLS commented on 2020-06-19 12:18

I think this now needs greenlet

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (greenlet 0.4.15 (/usr/lib/python3.8/site-packages), Requirement.parse('greenlet>=0.4.16'), {'gevent'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/castero", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3262, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3245, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3274, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'greenlet>=0.4.16' distribution was not found and is required by gevent

willemw commented on 2020-06-06 21:10

@rien333: Thanks. Updated.

rien333 commented on 2020-06-06 20:42

I think this needs to have python-grequests in its dependencies:

$ castero
Traceback (most recent call last):
  File "/usr/bin/castero", line 6, in <module>
    from pkg_resources import load_entry_point
    ...
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'grequests' distribution was not found and is required by castero

willemw commented on 2020-02-24 13:50

Codfractal: this is a VCS (devel) package. That means it is up to you, as a user, to update the package by reinstalling the package or, in most cases, by passing the --devel flag to your AUR helper when you update.